StableOps
API 参考

查询支付订单

按标识查询 StableOps 支付订单,读取当前状态、付款指令及状态变化时间线,在回调迟到或异常时核对付款结果。商户应在服务端保管密钥,按接口要求使用稳定幂等键,并以查询结果和验签后的事件核对状态。生产履约建议等待最终确认,不能仅凭页面跳转认定支付成功。

GET/v1/payment-orders/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Payment order id.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/payment-orders/{id}"
{
  "id": "string",
  "merchant_order_id": "string",
  "amount": "string",
  "requested_amount": "string",
  "chain_amount": "string",
  "settlement_asset": "USDC",
  "status": "created",
  "expires_at": "2019-08-24T14:15:22Z",
  "metadata": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "accepted_assets": [
    {
      "chain": "ethereum",
      "asset": "USDC"
    }
  ],
  "payment_instructions": [
    {
      "chain": "ethereum",
      "asset": "USDC",
      "address": "string"
    }
  ],
  "timeline": [
    {
      "from": "created",
      "to": "created",
      "reason": "string",
      "at": "2019-08-24T14:15:22Z"
    }
  ],
  "possible_mismatched_events": [
    {
      "id": "string",
      "chain": "ethereum",
      "asset": "USDC",
      "from_address": "string",
      "to_address": "string",
      "amount": "string",
      "tx_hash": "string",
      "log_index": -9007199254740991,
      "block_number": "string",
      "payment_order_id": null,
      "payment_attempt": null,
      "confirmations": 0,
      "detected_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

这篇文档怎么样?

最后更新